Bug 1599809 - python36 ships a conflicting definition of %py_byte_compile
Summary: python36 ships a conflicting definition of %py_byte_compile
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python36
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-10 15:49 UTC by Miro Hrončok
Modified: 2019-04-24 23:28 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-08-14 18:46:57 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1484993 None CLOSED %py_byte_compile broken with Python 2: compile() got an unexpected keyword argument 'optimize' 2019-05-16 09:18 UTC
Red Hat Bugzilla 1531253 None CLOSED %py_byte_compile() macro works for Python 3 only 2019-05-16 09:18 UTC

Internal Trackers: 1484993 1531253

Description Miro Hrončok 2018-07-10 15:49:47 UTC
Description of problem:
See https://src.fedoraproject.org/rpms/python34/blob/epel7/f/macros.pybytecompile3.4
And https://src.fedoraproject.org/rpms/python36/blob/epel7/f/macros.pybytecompile3.6

Those files can coexist with each other, yet the macro is redefined and it is either undefined or not obvious which one will run.
The macro needs to be put into python-rpm-macros like we did in rawhide.

Note that the 3.4 macro will fail with 3.6 but work with 2.7.
The 3.6 macro will fail with 3.4 and 2.7 as well.

Fedora has a naive if in place for *python3*. Something similar needs to be done but something that would recognize 3.6+ (or 3.5+, I'm not sure, but it's hardly relevant given that 3.5 was and will probably never be shipped).

https://src.fedoraproject.org/rpms/python-rpm-macros/blob/master/f/macros.pybytecompile

Comment 1 Miro Hrončok 2018-07-12 15:49:15 UTC
First, a Fedora PR: https://src.fedoraproject.org/rpms/python-rpm-macros/pull-request/9

Comment 4 Fedora Update System 2018-07-26 13:32:56 UTC
python36-3.6.5-3.el7 python-rpm-macros-3-19.el7 python34-3.4.8-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-30bad0f99c

Comment 5 Fedora Update System 2018-07-27 17:20:08 UTC
python-rpm-macros-3-22.el7, python34-3.4.8-2.el7, python36-3.6.5-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-30bad0f99c

Comment 6 Fedora Update System 2018-08-14 18:46:57 UTC
python-rpm-macros-3-22.el7, python34-3.4.8-2.el7, python36-3.6.5-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2019-04-08 04:07:00 UTC
python34-3.4.10-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-73e99f4a82

Comment 8 Fedora Update System 2019-04-09 02:44:08 UTC
python34-3.4.10-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-73e99f4a82

Comment 9 Fedora Update System 2019-04-24 23:28:21 UTC
python34-3.4.10-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.